<h2 mat-dialog-title>Add new brand</h2>
<mat-dialog-content class="mat-typography">
  <form [formGroup]="form">
      <mat-grid-list cols="3" rowHeight="1:1" style="margin-bottom:16px;">
        <mat-grid-tile
            [colspan]="1"
            [rowspan]="1">
          <img src="{{path+logo.url}}" width="100%">
        </mat-grid-tile>
        <mat-grid-tile
            [colspan]="2"
            [rowspan]="1">
          <button mat-button color="primary" (click)="uploadDialog('image/*')">Add Logo</button>
        </mat-grid-tile>
      </mat-grid-list>
      <input formControlName="logo" [(ngModel)]="logo.url" type="hidden" name="logo" required>
      <mat-form-field appearance="outline" class="w-100" style="margin-bottom:16px;">
          <mat-label>Brand Name</mat-label>
          <input matInput placeholder="Brand Name" formControlName="title" type="text" name="title" required>
          <mat-error>Enter valid text</mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline" class="w-100">
        <mat-select formControlName="category" placeholder="Category">
          <mat-option *ngFor="let category of categories" [value]="category">
            {{category}}
          </mat-option>
        </mat-select>
      </mat-form-field>
  </form>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button  [mat-dialog-close]="null">Cancel</button>
  <button mat-raised-button color="primary" [mat-dialog-close]="form.value" [disabled]="form.status == 'INVALID' || logo.url.length==0" cdkFocusInitial>Add Brand</button>
</mat-dialog-actions>